﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10.2
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private Timer1 As Timer
	
	Dim Val As Float
	Dim ValBuf(12) As Float
	Dim ss, mm As Byte
	Dim tm, tmbuf(12) As String
	Private PanelChart As Panel
	Private LabelValue As Label
	Private ButtonStart As Button
	Private ButtonStop As Button
	Private ButtonReset As Button
	
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("charts")
	DateTime.DateFormat = "HH:mm:ss"
	Timer1.Initialize("Timer1",1000)
	Reset_Graph
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.


Sub graphdraw
	Dim LD As LineData
	LD.Initialize
	LD.Target = PanelChart
	Charts.AddLineColor(LD, Colors.Red)
	
	Charts.AddLinePoint(LD, tmbuf(0), ValBuf(0), True)
	Charts.AddLinePoint(LD, tmbuf(1), ValBuf(1), True)
	Charts.AddLinePoint(LD, tmbuf(2), ValBuf(2), True)
	Charts.AddLinePoint(LD, tmbuf(3), ValBuf(3), True)
	Charts.AddLinePoint(LD, tmbuf(4), ValBuf(4), True)
	Charts.AddLinePoint(LD, tmbuf(5), ValBuf(5), True)
	Charts.AddLinePoint(LD, tmbuf(6), ValBuf(6), True)
	Charts.AddLinePoint(LD, tmbuf(7), ValBuf(7), True)
	Charts.AddLinePoint(LD, tmbuf(8), ValBuf(8), True)
	Charts.AddLinePoint(LD, tmbuf(9), ValBuf(9), True)
	Charts.AddLinePoint(LD, tmbuf(10), ValBuf(10), True)
	Charts.AddLinePoint(LD, tmbuf(11), ValBuf(11), True)
	
	'text around graph
	Dim G As Graph
	G.Initialize
	G.Title = "TDS out"
	'time_now = DateTime.Date(DateTime.Now)
	G.XAxis = "Time (Minute & Second)"
	G.YAxis = "[ppm]"
	G.YStart = 0
	G.YEnd = 200
	'G.YInterval = G.YEnd / 10
	G.YInterval = 20
	G.AxisColor = Colors.Black
	Charts.DrawLineChart(G, LD, Colors.White)
End Sub

Sub TImer1_Tick
	Val = Rnd(0,200)
	
	ValBuf(0) = ValBuf(1)
	ValBuf(1) = ValBuf(2)
	ValBuf(2) = ValBuf(3)
	ValBuf(3) = ValBuf(4)
	ValBuf(4) = ValBuf(5)
	ValBuf(5) = ValBuf(6)
	ValBuf(6) = ValBuf(7)
	ValBuf(7) = ValBuf(8)
	ValBuf(8) = ValBuf(9)
	ValBuf(9) = ValBuf(10)
	ValBuf(10) = ValBuf(11)
	ValBuf(11) = Val

	ss = DateTime.GetSecond(DateTime.Now)
	mm = DateTime.GetMinute(DateTime.Now)
	
	tm = mm & ":" & ss
	
	tmbuf(0) = tmbuf(1)
	tmbuf(1) = tmbuf(2)
	tmbuf(2) = tmbuf(3)
	tmbuf(3) = tmbuf(4)
	tmbuf(4) = tmbuf(5)
	tmbuf(5) = tmbuf(6)
	tmbuf(6) = tmbuf(7)
	tmbuf(7) = tmbuf(8)
	tmbuf(8) = tmbuf(9)
	tmbuf(9) = tmbuf(10)
	tmbuf(10) = tmbuf(11)
	tmbuf(11) = tm
	
	LabelValue.Text = "Random Value : " & Val
	
	graphdraw
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub



Sub ButtonStart_Click
	Timer1.Enabled = True
	'ButtonStart.Enabled = False
	'ButtonReset.Enabled = False
	'ButtonStop.Enabled = True
End Sub

Sub ButtonStop_Click
	Timer1.Enabled = False
	ButtonStop.Enabled = True
	ButtonStart.Enabled = True
	ButtonReset.Enabled = True
End Sub

Sub ButtonReset_Click
	Reset_Graph
End Sub

Sub Reset_Graph
	ValBuf(0) = 0
	ValBuf(1) = 0
	ValBuf(2) = 0
	ValBuf(3) = 0
	ValBuf(4) = 0
	ValBuf(5) = 0
	ValBuf(6) = 0
	ValBuf(7) = 0
	ValBuf(8) = 0
	ValBuf(9) = 0
	ValBuf(10) = 0
	ValBuf(11) = 0
	graphdraw
End Sub

Sub btnPrev_Click
	B4XPages.ShowPage("mainpage")
End Sub